File Categories
curl --request GET \
--url https://logistics.api.smartcp.org/v1/orders/file-categories \
--header 'Authorization: Bearer <token>' \
--header 'X-Client-Directory: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Client-Directory': '<api-key>'}
};
fetch('https://logistics.api.smartcp.org/v1/orders/file-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://logistics.api.smartcp.org/v1/orders/file-categories"
headers = {
"Authorization": "Bearer <token>",
"X-Client-Directory": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://logistics.api.smartcp.org/v1/orders/file-categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Client-Directory: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": 200,
"message": "OK",
"data": [
{
"id": 1,
"name": "General files",
"visible_customer": 0
},
{
"id": 2,
"name": "POD",
"visible_customer": 1
}
]
}{
"status": 401,
"message": "Authentication failed",
"data": null
}{
"status": 429,
"message": "Too Many Attempts.",
"data": null
}Orders
File Categories
Returns the available categories that can be assigned to uploaded order files.
GET
/
orders
/
file-categories
File Categories
Authorizations
Client API key sent as a bearer token.
Client directory identifier. Legacy directory header is still accepted for backward compatibility.
⌘I